Name:           fop
Summary:        XSL-driven print formatter
Version:        2.7
Release:        %mkrel 1
Group:          Development/Java
# ASL 1.1:
# several files in fop-core/src/main/resources/org/apache/fop/render/awt/viewer/resources
# rest is ASL 2.0
License:        ASL 2.0 and ASL 1.1
URL:            https://xmlgraphics.apache.org/fop
Source0:        https://www.apache.org/dist/xmlgraphics/%{name}/source/%{name}-%{version}-src.tar.gz
Source1:        %{name}.script
Source2:        batik-pdf-MANIFEST.MF
Source4:        https://www.apache.org/licenses/LICENSE-1.1.txt
#Patch0:        fop-xmlunit.patch
Patch1:		0001-Main.patch
Patch2:		0002-Use-sRGB.icc-color-profile-from-colord-package.patch
Patch4:         0004-Port-to-QDox-2.0.patch

BuildArch:      noarch

Requires:       java
Requires:       xalan-j2 >= 2.7.0
Requires:       xml-commons-apis >= 1.3.04
# Explicit requires for javapackages-tools since fop script
# uses /usr/share/java-utils/java-functions
Requires:       javapackages-tools

BuildRequires:  apache-commons-io
BuildRequires:  apache-commons-logging
BuildRequires:  batik
BuildRequires:  fontbox
BuildRequires:  javapackages-local
BuildRequires:  junit
BuildRequires:  maven-antrun-plugin
BuildRequires:  maven-assembly-plugin
BuildRequires:  maven-clean-plugin
BuildRequires:  maven-local
BuildRequires:  maven-plugin-build-helper
BuildRequires:  mvn(javax.servlet:servlet-api)
# For servlet, not packaged
#BuildRequires:  maven-war-plugin
BuildRequires:  pdfbox
BuildRequires:  qdox
BuildRequires:  xml-maven-plugin
BuildRequires:  xmlgraphics-commons >= 1.5
BuildRequires:  xmlunit
BuildRequires:  xmlunit-assertj
BuildRequires:  xmlunit-core

%description
FOP is the world's first print formatter driven by XSL formatting
objects. It is a Java application that reads a formatting object tree
and then turns it into a PDF document. The formatting object tree, can
be in the form of an XML document (output by an XSLT engine like XT or
Xalan) or can be passed in memory as a DOM Document or (in the case of
XT) SAX events.

%package javadoc
Summary:        Javadoc for %{name}

%description    javadoc
Javadoc for %{name}.

%prep
%autosetup -p1

cp %{SOURCE4} LICENSE-1.1

rm -f fop/lib/*.jar fop/lib/build/*.jar

# Not packaged
%pom_remove_plugin org.apache.maven.plugins:maven-javadoc-plugin
%pom_remove_dep javax.media:jai-core fop-core
%pom_remove_dep com.sun.media:jai-codec fop-core
%pom_remove_dep net.sf.offo:fop-hyph fop-core
%pom_remove_dep net.sf.saxon:saxon fop-core
# Update to current xmlunit
%pom_change_dep xmlunit:xmlunit org.xmlunit:xmlunit-core fop-core
%pom_add_dep org.xmlunit:xmlunit-assertj3 fop-core
# Requires maven-war-plugin
%pom_disable_module fop-servlet
# Requires JAI, not packaged
rm fop-core/src/main/java/org/apache/fop/util/bitmap/JAIMonochromeBitmapConverter.java


%build
# Skip tests for now, make dirs needed by build but created by tests
mkdir -p fop-events/target/test-classes
%mvn_build -f


%install
%mvn_install
# inject OSGi manifest
jar ufm %{buildroot}%{_javadir}/%{name}/%{name}.jar %{SOURCE2}

# script
install -d -m 755 %{buildroot}%{_bindir}
install -p -m 755 %{SOURCE1} %{buildroot}%{_bindir}/fop

# data
install -d -m 755 %{buildroot}%{_datadir}/%{name}/conf
cp -rp fop/conf/* %{buildroot}%{_datadir}/%{name}/conf

# javadoc
install -d -m 755 %{buildroot}%{_javadocdir}/%{name}
cp -rp target/xmvn-apidocs/* %{buildroot}%{_javadocdir}/%{name}


%files -f .mfiles
%doc LICENSE LICENSE-1.1 README NOTICE
%{_datadir}/%{name}
%{_bindir}/fop

%files javadoc
%doc %{_javadocdir}/%{name}
%doc LICENSE LICENSE-1.1




%changelog
* Mon Sep 19 2022 neoclust <neoclust> 2.7-1.mga9
+ Revision: 1890493
- New version 2.7
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Mon Dec 28 2020 neoclust <neoclust> 2.5-2.mga8
+ Revision: 1664422
- Change jakarta-commons-httpclient require into httpcomponents-client

* Mon Dec 14 2020 neoclust <neoclust> 2.5-1.mga8
+ Revision: 1657477
- New version 2.5

* Sat Feb 15 2020 umeabot <umeabot> 2.2-4.mga8
+ Revision: 1528645
- Mageia 8 Mass Rebuild

* Sun Aug 25 2019 daviddavid <daviddavid> 2.2-3.mga8
+ Revision: 1431926
- add upstream patch to port to newer batik 1.11

* Thu Sep 20 2018 umeabot <umeabot> 2.2-2.mga7
+ Revision: 1278346
- Mageia 7 Mass Rebuild

* Fri Aug 24 2018 daviddavid <daviddavid> 2.2-1.mga7
+ Revision: 1253696
- new version: 2.2 (sync with fc29)

* Mon Jun 05 2017 luigiwalser <luigiwalser> 2.0-7.mga6
+ Revision: 1106807
- add upstream patches to fix CVE-2017-5661
+ neoclust <neoclust>
- Relax a little requires

* Thu Feb 02 2017 daviddavid <daviddavid> 2.0-5.mga6
+ Revision: 1084571
- add fedora patch to fix FTBFS

* Wed Mar 02 2016 neoclust <neoclust> 2.0-4.mga6
+ Revision: 981930
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 2.0-3.mga6
+ Revision: 976225
- First rebuild of the java stack
- sync package fop with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild
+ zezinho <zezinho>
- new version rebased from fedora

* Sun Jan 11 2015 pterjan <pterjan> 1.1-7.mga5
+ Revision: 809869
- Sync with Fedora 21

* Wed Oct 15 2014 umeabot <umeabot> 1.1-6.mga5
+ Revision: 740191
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1-5.mga5
+ Revision: 679299
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 1.1-4.mga4
+ Revision: 537734
- Mageia 4 Mass Rebuild

* Fri Sep 27 2013 dmorgan <dmorgan> 1.1-3.mga4
+ Revision: 487588
- Remove  jakarta-commons-logging and old servlet BR

* Mon Jul 29 2013 dmorgan <dmorgan> 1.1-2.mga4
+ Revision: 460253
- Remove ant-trax from BR

* Wed Jun 05 2013 shlomif <shlomif> 1.1-1.mga4
+ Revision: 437730
- New version 1.1. Thanks to the Fedora for parts of the .src.rpm

* Fri Jan 11 2013 umeabot <umeabot> 1.0-5.mga3
+ Revision: 350774
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jul 16 2012 dmorgan <dmorgan> 1.0-4.mga3
+ Revision: 271303
- Fix jakarta-commons-io deps to apache-commons-io

* Sat Mar 24 2012 gil <gil> 1.0-3.mga3
+ Revision: 226074
- correct depmap
- build fix added fop-hyph pom

* Thu Sep 29 2011 gil <gil> 1.0-2.mga2
+ Revision: 150328
- * rebuilt with system libraries and remove all bundled jars and classes
  * update manifest patch(0)
  * added OSGi manifest to unbreak Eclipse stack
  * added m2 pom
  * update offo hyphenation source package
  * added more BuildRequires
  * added workaround for bug/zilla id 50575
  * added %%pre javadoc script

* Thu Sep 29 2011 shlomif <shlomif> 1.0-1.mga2
+ Revision: 150263
- New 1.0 version
+ gil <gil>
- added offo hyphenation support
- edit fop script added new avalon-framework in classpath
+ dmorgan <dmorgan>
- Requires java instead of openjdk 1.6.0 ( mga #2515)

* Thu Apr 28 2011 dmorgan <dmorgan> 0.95-8.mga1
+ Revision: 92513
- Add zip as buildrequires
- Rebuild after bootstrapping
- imported package fop


* Thu Mar 25 2010 Mary Ellen Foster <mefoster@gmail.com> - 0.95-5
- Add maven depmap fragment
- Add dist to version

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.95-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.95-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Feb 6 2009 Alexander Kurtakov <akurtako@redhat.com> 0.95-2
- Add OSGi manifest (needed for eclipse-birt).

* Thu Dec 18 2008 Lubomir Rintel <lkundrak@v3.sk> - 0.95-1
- New upstream release

* Wed Apr  2 2008 Lillian Angel <langel at redhat.com> - 0.95.0.2.beta1
- Updated release.

* Tue Apr  1 2008 Lillian Angel <langel at redhat.com> - 0.95.0.1.beta1
- Added CLASSPATH to fop.script.

* Mon Mar 31 2008 Lillian Angel <langel at redhat.com> - 0.95.0.1.beta1
- Updated sources to 0.95 beta.
- Updated patches.
- Updated release.

* Mon Mar 31 2008 Lillian Angel <langel at redhat.com> - 0.94.4
- Updated CLASSPATH.
- Updated release.

* Mon Mar 31 2008 Lillian Angel <langel at redhat.com> - 0.94.3
- Fixed JAVA_HOME to point to openjdk, instead of icedtea.

* Mon Mar 31 2008 Lillian Angel <langel at redhat.com> - 0.94.3
- Updated build requirements and requirements to include java-1.6.0-openjdk.
- Updated release.

* Fri Dec  7 2007 Lillian Angel <langel at redhat.com> - 0.94-2
- Updated Release.

* Thu Dec  6 2007 Lillian Angel <langel at redhat.com> - 0.94-1
- Removed ppc/64 conditions since IcedTea is now available for ppc/64.

* Tue Nov 27 2007 Lillian Angel <langel at redhat.com> - 0.94-1
- Fixed to build with gcj on ppc/64.

* Fri Nov 23 2007 Lillian Angel <langel at redhat.com> - 0.94-1
- Fixed rpmlint errors.

* Tue Sep 18 2007 Joshua Sumali <jsumali at redhat.com> - 0:0.94-1
- Update to fop 0.94

* Thu Mar 30 2006 Ralph Apel <r.apel at r-apel.de> - 0:0.20.5-9jpp
- First build for JPP-1.7
- Replace avalon-framework, avalon-logkit with their new excalibur-*
  counterparts
- Drop non-free jimi and jai BRs

* Tue Oct 11 2005 Ralph Apel <r.apel at r-apel.de> - 0:0.20.5-8jpp
- Patch to Batik >= 1.5.1

* Fri Oct 07 2005 Ralph Apel <r.apel at r-apel.de> - 0:0.20.5-7jpp
- Omit ant -d flag

* Mon Aug 23 2004 Ralph Apel <r.apel at r-apel.de> - 0:0.20.5-6jpp
- Build with ant-1.6.2

* Fri Aug 06 2004 Ralph Apel <r.apel at r-apel.de> - 0:0.20.5-5jpp
- Void change

* Tue Jun 01 2004 Randy Watler <rwatler at finali.com> - 0:0.20.5-4jpp
- Upgrade to Ant 1.6.X

* Thu Jan  8 2004 Ville SkyttÃ¤ <ville.skytta at iki.fi> - 0:0.20.5-3jpp
- BuildRequires ant-optional.
- Crosslink with full J2SE javadocs instead of just JAXP/XML-commons.
- Add Main-Class back to manifest.

* Tue Sep 23 2003 Paul Nasrat <pauln at truemesh.com> - 0:0.20.5-2jpp
- Fix script and requires
- Remove class path in manifest
- New javadoc style

* Sat Jul 19 2003 Ville SkyttÃ¤ <ville.skytta at iki.fi> - 0:0.20.5-1jpp
- Update to 0.20.5.
- Crosslink with xml-commons-apis and batik javadocs.
- BuildRequires jai, jce and jimi.

* Sat Jun  7 2003 Ville SkyttÃ¤ <ville.skytta at iki.fi> - 0:0.20.5-0.rc3a.1jpp
- Update to 0.20.5rc3a.
- Include fop script.
- Non-versioned javadoc symlinks.

* Thu Apr 17 2003 Ville SkyttÃ¤ <ville.skytta at iki.fi> - 0:0.20.5-0.rc2.1jpp
- Update to 0.20.5rc2 and JPackage 1.5.

* Sun Mar 10 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 0.20.3-1jpp
- 0.20.3 final
- fixed missing symlink

* Mon Jan 21 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 0.20.3-0.rc.1jpp
- 0.20.3rc
- first unified release
- javadoc into javadoc package
- no dependencies for manual package
- s/jPackage/JPackage
- adaptation to new xalan-j2 package
- requires and buildrequires avalon-logkit

* Thu Aug 30 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 0.20.1-1mdk
- first release
